## percona-server-mongodb 6.0.24

=== debian/changelog ===
percona-server-mongodb (6.0.24-19) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 6.0.24

 -- root <root@d61dc96680cd>  Mon, 09 Jun 2025 11:42:43 +0000

## percona-server-mongodb 6.0.25

=== debian/changelog ===
percona-server-mongodb (6.0.25-20) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 6.0.25

 -- root <root@b98abcd3802c>  Wed, 23 Jul 2025 15:49:14 +0000

=== debian/rules ===
#!/usr/bin/make -f
#
export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1
export NJOBS=$(shell grep -c processor /proc/cpuinfo)
export PSM_TARGETS=install-mongod install-mongos install-mongo install-perconadecrypt install-mongobridge
export PSMSRC=$(CURDIR)
export MONGOTOOLS=bsondump mongostat mongofiles mongoexport mongoimport mongorestore mongodump mongotop
export INSTALLDIR=/usr/local
export TOOLS_TAGS=ssl sasl
export PORTABLE=1
export USE_SSE=1
export PATH := /usr/local/go/bin:$(PATH)
export FIPSMODE=0
CC = /usr/bin/gcc-10
CXX = /usr/bin/g++-10
#
%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_auto_clean:
	dh_auto_clean
	rm -fr $(PSMSRC)/bin
	#rm -fr $(INSTALLDIR)
ifeq ($(FIPSMODE),1)
	buildscripts/scons.py CC=$(CC) CXX=$(CXX) -C $(PSMSRC) -c --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt -j$(NJOBS) --use-sasl-client CPPPATH=$(INSTALLDIR)/include \
	--enable-fipsmode \
	LIBPATH=$(INSTALLDIR)/lib LINKFLAGS="$(LINKFLAGS)" --wiredtiger --inmemory --hotbackup $(PSM_TARGETS) || exit $?
else
	buildscripts/scons.py CC=$(CC) CXX=$(CXX) -C $(PSMSRC) -c --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt -j$(NJOBS) --use-sasl-client CPPPATH=$(INSTALLDIR)/include \
	LIBPATH=$(INSTALLDIR)/lib LINKFLAGS="$(LINKFLAGS)" --wiredtiger --inmemory --hotbackup $(PSM_TARGETS) || exit $?
endif
	rm -fr build resmoke.ini
	find $(PSMSRC) -name '*.pyc' -delete

# Finally PSMDB
percona-server-mongodb:
ifeq ($(FIPSMODE),1)
	buildscripts/scons.py CC=${CC} CXX=${CXX} --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt=on -j$(NJOBS) \
	--enable-fipsmode \
	--use-sasl-client --wiredtiger --inmemory --hotbackup \
	CPPPATH=${INSTALLDIR}/include LIBPATH=${INSTALLDIR}/lib LINKFLAGS="${LINKFLAGS}" ${PSM_TARGETS} || exit $?
else
	buildscripts/scons.py CC=${CC} CXX=${CXX} --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt=on -j$(NJOBS) \
	--use-sasl-client --wiredtiger --inmemory --hotbackup \
	CPPPATH=${INSTALLDIR}/include LIBPATH=${INSTALLDIR}/lib LINKFLAGS="${LINKFLAGS}" ${PSM_TARGETS} || exit $?
endif

compile-mongo-tools:
	mkdir $(PSMSRC)/bin || true;
	mkdir -p $(PSMSRC)/../src/github.com/mongodb;
	cp -r $(PSMSRC)/mongo-tools $(PSMSRC)/../src/github.com/mongodb;
	export GOROOT="/usr/local/go/"; \
        export GOPATH=$(PSMSRC)/../; \
        export PATH="/usr/local/go/bin:$(PATH):$(GOPATH)"; \
        export GOBINPATH="/usr/local/go/bin"
	cd $(PSMSRC)/../src/github.com/mongodb/mongo-tools; \
        sed -i '14d' buildscript/build.go; \
        sed -i '199,207d' buildscript/build.go; \
        sed -i "s:versionStr,:\"$(PSMDB_TOOLS_REVISION)\",:" buildscript/build.go; \
        sed -i "s:gitCommit):\"$(PSMDB_TOOLS_COMMIT_HASH)\"):" buildscript/build.go; \
        ./make build;
	cp -av $(PSMSRC)/../src/github.com/mongodb/mongo-tools/bin/* $(PSMSRC)/bin; \
        cd $(PSMSRC);

build: percona-server-mongodb compile-mongo-tools

override_dh_auto_install:
	dh_auto_install
	cp -av build/install/bin/mongos debian/percona-server-mongodb-mongos/usr/bin/mongos
	cp -av build/install/bin/mongo debian/percona-server-mongodb-shell/usr/bin/mongo
	cp -av build/install/bin/mongod debian/percona-server-mongodb-server/usr/bin/mongod
	cp -av build/install/bin/perconadecrypt debian/percona-server-mongodb-server/usr/bin
	cp -av build/install/bin/mongobridge debian/percona-server-mongodb-server/usr/bin/mongobridge
	cp -av debian/percona-server-mongodb-helper.sh debian/percona-server-mongodb-server/usr/bin
	cp -av debian/percona-server-mongodb-enable-auth.sh debian/percona-server-mongodb-server/usr/bin
	cp -av debian/mongod.conf debian/percona-server-mongodb-server/etc/mongod.conf
	cp -av $(PSMSRC)/bin/* debian/percona-server-mongodb-tools/usr/bin

override_dh_strip:
	dh_strip -a --dbg-package=percona-server-mongodb-dbg

override_dh_installinit:
	dh_installinit -a --name=mongod

override_dh_systemd_enable:
	dh_systemd_enable --name=mongod

override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade

## percona-server-mongodb 7.0.12

=== debian/changelog ===
percona-server-mongodb (7.0.12-7) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 7.0.12

 -- root <root@868d658d91d1>  Fri, 19 Jul 2024 06:43:28 +0000

=== debian/rules ===
#!/usr/bin/make -f
#
export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1
export NJOBS=$(shell grep -c processor /proc/cpuinfo)
export PSM_TARGETS=install-mongod install-mongos install-mongo install-perconadecrypt build/install/bin/mongobridge
export PSMSRC=$(CURDIR)
export MONGOTOOLS=bsondump mongostat mongofiles mongoexport mongoimport mongorestore mongodump mongotop
export INSTALLDIR=/usr/local
export TOOLS_TAGS=ssl sasl
export PORTABLE=1
export USE_SSE=1
export PATH := /usr/local/go/bin:$(PATH)
export FIPSMODE=0
export OPT_LINKFLAGS="${LINKFLAGS} -Wl,--build-id=sha1 -B/opt/mongodbtoolchain/v4/bin"
CC = /opt/mongodbtoolchain/v4/bin/gcc
CXX = /opt/mongodbtoolchain/v4/bin/g++
#
%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_auto_clean:
	dh_auto_clean
	rm -fr $(PSMSRC)/bin
	#rm -fr $(INSTALLDIR)
ifeq ($(FIPSMODE),1)
		buildscripts/scons.py CC=$(CC) CXX=$(CXX) -C $(PSMSRC) -c --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt -j$(NJOBS) --use-sasl-client CPPPATH=$(INSTALLDIR)/include \
		--enable-fipsmode \
		LIBPATH=$(INSTALLDIR)/lib LINKFLAGS=$(OPT_LINKFLAGS) --wiredtiger --inmemory --hotbackup $(PSM_TARGETS) || exit $?
else
		buildscripts/scons.py CC=$(CC) CXX=$(CXX) -C $(PSMSRC) -c --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt -j$(NJOBS) --use-sasl-client CPPPATH=$(INSTALLDIR)/include \
		LIBPATH=$(INSTALLDIR)/lib LINKFLAGS=$(OPT_LINKFLAGS) --wiredtiger --inmemory --hotbackup $(PSM_TARGETS) || exit $?
endif
	rm -fr build resmoke.ini
	find $(PSMSRC) -name '*.pyc' -delete

# Finally PSMDB
percona-server-mongodb:
ifeq ($(FIPSMODE),1)
		buildscripts/scons.py CC=${CC} CXX=${CXX} --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt=on -j$(NJOBS) \
		--enable-fipsmode \
		--use-sasl-client --wiredtiger --inmemory --hotbackup \
		CPPPATH=${INSTALLDIR}/include LIBPATH=${INSTALLDIR}/lib LINKFLAGS=${OPT_LINKFLAGS} ${PSM_TARGETS} || exit $?
else
		buildscripts/scons.py CC=${CC} CXX=${CXX} --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt=on -j$(NJOBS) \
		--use-sasl-client --wiredtiger --inmemory --hotbackup \
		CPPPATH=${INSTALLDIR}/include LIBPATH=${INSTALLDIR}/lib LINKFLAGS=${OPT_LINKFLAGS} ${PSM_TARGETS} || exit $?
endif

compile-mongo-tools:
	mkdir $(PSMSRC)/bin || true;
	mkdir -p $(PSMSRC)/../src/github.com/mongodb;
	cp -r $(PSMSRC)/mongo-tools $(PSMSRC)/../src/github.com/mongodb;
	export GOROOT="/usr/local/go/"; \
        export GOPATH=$(PSMSRC)/../; \
        export PATH="/usr/local/go/bin:$(PATH):$(GOPATH)"; \
        export GOBINPATH="/usr/local/go/bin"
	cd $(PSMSRC)/../src/github.com/mongodb/mongo-tools; \
        sed -i '15d' buildscript/build.go; \
        sed -i '195,204d' buildscript/build.go; \
        sed -i "s:versionStr,:\"$(PSMDB_TOOLS_REVISION)\",:" buildscript/build.go; \
        sed -i "s:gitCommit):\"$(PSMDB_TOOLS_COMMIT_HASH)\"):" buildscript/build.go; \
        ./make build;
	cp -av $(PSMSRC)/../src/github.com/mongodb/mongo-tools/bin/* $(PSMSRC)/bin; \
        cd $(PSMSRC);

build: percona-server-mongodb compile-mongo-tools

override_dh_auto_install:
	dh_auto_install
	cp -av build/install/bin/mongos debian/percona-server-mongodb-mongos/usr/bin/mongos
	cp -av build/install/bin/mongo debian/percona-server-mongodb-shell/usr/bin/mongo
	cp -av build/install/bin/mongod debian/percona-server-mongodb-server/usr/bin/mongod
	cp -av build/install/bin/perconadecrypt debian/percona-server-mongodb-server/usr/bin
	cp -av build/install/bin/mongobridge debian/percona-server-mongodb-server/usr/bin/mongobridge
	cp -av debian/percona-server-mongodb-helper.sh debian/percona-server-mongodb-server/usr/bin
	cp -av debian/percona-server-mongodb-enable-auth.sh debian/percona-server-mongodb-server/usr/bin
	cp -av debian/mongod.conf debian/percona-server-mongodb-server/etc/mongod.conf
	cp -av $(PSMSRC)/bin/* debian/percona-server-mongodb-tools/usr/bin

override_dh_strip:
	dh_strip -a --dbg-package=percona-server-mongodb-dbg

override_dh_installinit:
	dh_installinit -a --name=mongod

override_dh_systemd_enable:
	dh_systemd_enable --name=mongod

override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade

## percona-server-mongodb 7.0.14

=== debian/changelog ===
percona-server-mongodb (7.0.14-8) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 7.0.14

 -- root <root@77cc51303dd7>  Tue, 10 Sep 2024 12:58:52 +0000

## percona-server-mongodb 7.0.15

=== debian/changelog ===
percona-server-mongodb (7.0.15-9) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 7.0.15

 -- root <root@c9f8b2e1dad3>  Mon, 25 Nov 2024 21:28:58 +0000

=== debian/rules ===
--- 
+++ 
@@ -59,8 +59,8 @@
         export PATH="/usr/local/go/bin:$(PATH):$(GOPATH)"; \
         export GOBINPATH="/usr/local/go/bin"
 	cd $(PSMSRC)/../src/github.com/mongodb/mongo-tools; \
-        sed -i '15d' buildscript/build.go; \
-        sed -i '195,204d' buildscript/build.go; \
+        sed -i '13d' buildscript/build.go; \
+        sed -i '197,206d' buildscript/build.go; \
         sed -i "s:versionStr,:\"$(PSMDB_TOOLS_REVISION)\",:" buildscript/build.go; \
         sed -i "s:gitCommit):\"$(PSMDB_TOOLS_COMMIT_HASH)\"):" buildscript/build.go; \
         ./make build;

## percona-server-mongodb 7.0.16

=== src/third_party/zstandard/zstd/programs/Makefile ===
# ################################################################
# Copyright (c) Yann Collet, Facebook, Inc.
# All rights reserved.
#
# This source code is licensed under both the BSD-style license (found in the
# LICENSE file in the root directory of this source tree) and the GPLv2 (found
# in the COPYING file in the root directory of this source tree).
# You may select, at your option, one of the above-listed licenses.
# ##########################################################################
# zstd : Command Line Utility, supporting gzip-like arguments
# zstd32 : Same as zstd, but forced to compile in 32-bits mode
# zstd-nolegacy : zstd without support of decompression of legacy versions
# zstd-small : minimal zstd without dictionary builder and benchmark
# zstd-compress : compressor-only version of zstd
# zstd-decompress : decompressor-only version of zstd
# ##########################################################################

.PHONY: default
default: zstd-release

LIBZSTD := ../lib

include $(LIBZSTD)/libzstd.mk

ifeq ($(shell $(CC) -v 2>&1 | $(GREP) -c "gcc version "), 1)
  ALIGN_LOOP = -falign-loops=32
else
  ALIGN_LOOP =
endif

ZSTDLIB_COMMON_SRC := $(sort $(ZSTD_COMMON_FILES))
ZSTDLIB_COMPRESS_SRC := $(sort $(ZSTD_COMPRESS_FILES))
ZSTDLIB_DECOMPRESS_SRC := $(sort $(ZSTD_DECOMPRESS_FILES))
ZSTDLIB_CORE_SRC := $(sort $(ZSTD_DECOMPRESS_FILES) $(ZSTD_COMMON_FILES) $(ZSTD_COMPRESS_FILES))
ZDICT_SRC := $(sort $(ZSTD_DICTBUILDER_FILES))
ZSTDLEGACY_SRC := $(sort $(ZSTD_LEGACY_FILES))

# Sort files in alphabetical order for reproducible builds
ZSTDLIB_FULL_SRC = $(sort $(ZSTDLIB_CORE_SRC) $(ZSTDLEGACY_SRC) $(ZDICT_SRC))
ZSTDLIB_LOCAL_SRC = $(notdir $(ZSTDLIB_FULL_SRC))
ZSTDLIB_LOCAL_OBJ0 := $(ZSTDLIB_LOCAL_SRC:.c=.o)
ZSTDLIB_LOCAL_OBJ := $(ZSTDLIB_LOCAL_OBJ0:.S=.o)

ZSTD_CLI_SRC := $(sort $(wildcard *.c))
ZSTD_CLI_OBJ := $(ZSTD_CLI_SRC:.c=.o)

ZSTD_ALL_SRC = $(ZSTDLIB_LOCAL_SRC) $(ZSTD_CLI_SRC)
ZSTD_ALL_OBJ0 := $(ZSTD_ALL_SRC:.c=.o)
ZSTD_ALL_OBJ := $(ZSTD_ALL_OBJ0:.S=.o)

# Define *.exe as extension for Windows systems
ifneq (,$(filter Windows%,$(OS)))
  EXT =.exe
  RES64_FILE = windres/zstd64.res
  RES32_FILE = windres/zstd32.res
ifneq (,$(filter x86_64%,$(shell $(CC) -dumpmachine)))
    RES_FILE = $(RES64_FILE)
else
    RES_FILE = $(RES32_FILE)
endif
else
  EXT =
endif

# thread detection
NO_THREAD_MSG := ==> no threads, building without multithreading support
HAVE_PTHREAD := $(shell printf '$(NUM_SYMBOL)include <pthread.h>\nint main(void) { return 0; }' > have_pthread.c && $(CC) $(FLAGS) -o have_pthread$(EXT) have_pthread.c -pthread 2> $(VOID) && rm have_pthread$(EXT) && echo 1 || echo 0; rm have_pthread.c)
HAVE_THREAD := $(shell [ "$(HAVE_PTHREAD)" -eq "1" -o -n "$(filter Windows%,$(OS))" ] && echo 1 || echo 0)
ifeq ($(HAVE_THREAD), 1)
  THREAD_MSG := ==> building with threading support
  THREAD_CPP := -DZSTD_MULTITHREAD
  THREAD_LD := -pthread
else
  THREAD_MSG := $(NO_THREAD_MSG)
endif

# zlib detection
NO_ZLIB_MSG := ==> no zlib, building zstd without .gz support
HAVE_ZLIB ?= $(shell printf '$(NUM_SYMBOL)include <zlib.h>\nint main(void) { return 0; }' > have_zlib.c && $(CC) $(FLAGS) -o have_zlib$(EXT) have_zlib.c -lz 2> $(VOID) && rm have_zlib$(EXT) && echo 1 || echo 0; rm have_zlib.c)
ifeq ($(HAVE_ZLIB), 1)
  ZLIB_MSG := ==> building zstd with .gz compression support
  ZLIBCPP = -DZSTD_GZCOMPRESS -DZSTD_GZDECOMPRESS
  ZLIBLD = -lz
else
  ZLIB_MSG := $(NO_ZLIB_MSG)
endif

# lzma detection
NO_LZMA_MSG := ==> no liblzma, building zstd without .xz/.lzma support
HAVE_LZMA ?= $(shell printf '$(NUM_SYMBOL)include <lzma.h>\nint main(void) { return 0; }' > have_lzma.c && $(CC) $(FLAGS) -o have_lzma$(EXT) have_lzma.c -llzma 2> $(VOID) && rm have_lzma$(EXT) && echo 1 || echo 0; rm have_lzma.c)
ifeq ($(HAVE_LZMA), 1)
  LZMA_MSG := ==> building zstd with .xz/.lzma compression support
  LZMACPP = -DZSTD_LZMACOMPRESS -DZSTD_LZMADECOMPRESS
  LZMALD = -llzma
else
  LZMA_MSG := $(NO_LZMA_MSG)
endif

# lz4 detection
NO_LZ4_MSG := ==> no liblz4, building zstd without .lz4 support
HAVE_LZ4 ?= $(shell printf '$(NUM_SYMBOL)include <lz4frame.h>\n$(NUM_SYMBOL)include <lz4.h>\nint main(void) { return 0; }' > have_lz4.c && $(CC) $(FLAGS) -o have_lz4$(EXT) have_lz4.c -llz4 2> $(VOID) && rm have_lz4$(EXT) && echo 1 || echo 0; rm have_lz4.c)
ifeq ($(HAVE_LZ4), 1)
  LZ4_MSG := ==> building zstd with .lz4 compression support
  LZ4CPP = -DZSTD_LZ4COMPRESS -DZSTD_LZ4DECOMPRESS
  LZ4LD = -llz4
else
  LZ4_MSG := $(NO_LZ4_MSG)
endif

# explicit backtrace enable/disable for Linux & Darwin
ifeq ($(BACKTRACE), 0)
  DEBUGFLAGS += -DBACKTRACE_ENABLE=0
endif
ifeq (,$(filter Windows%, $(OS)))
ifeq ($(BACKTRACE), 1)
  DEBUGFLAGS += -DBACKTRACE_ENABLE=1
  DEBUGFLAGS_LD += -rdynamic
endif
endif

SET_CACHE_DIRECTORY = \
   +$(MAKE) --no-print-directory $@ \
    BUILD_DIR=obj/$(HASH_DIR) \
    CPPFLAGS="$(CPPFLAGS)" \
    CFLAGS="$(CFLAGS)" \
    LDFLAGS="$(LDFLAGS)" \
    LDLIBS="$(LDLIBS)" \
    ZSTD_ALL_SRC="$(ZSTD_ALL_SRC)"


.PHONY: all
all: zstd

.PHONY: allVariants
allVariants: zstd zstd-compress zstd-decompress zstd-small zstd-frugal zstd-nolegacy zstd-dictBuilder

.PHONY: zstd  # must always be run
zstd : CPPFLAGS += $(THREAD_CPP) $(ZLIBCPP) $(LZMACPP) $(LZ4CPP)
zstd : LDFLAGS += $(THREAD_LD) $(DEBUGFLAGS_LD)
zstd : LDLIBS += $(ZLIBLD) $(LZMALD) $(LZ4LD)
zstd : CPPFLAGS += -DZSTD_LEGACY_SUPPORT=$(ZSTD_LEGACY_SUPPORT)
ifneq (,$(filter Windows%,$(OS)))
zstd : $(RES_FILE)
endif

ifndef BUILD_DIR
# generate BUILD_DIR from flags

zstd:
	$(SET_CACHE_DIRECTORY)

else
# BUILD_DIR is defined

ZSTD_OBJ := $(addprefix $(BUILD_DIR)/, $(ZSTD_ALL_OBJ))
$(BUILD_DIR)/zstd : $(ZSTD_OBJ)
	@echo "$(THREAD_MSG)"
	@echo "$(ZLIB_MSG)"
	@echo "$(LZMA_MSG)"
	@echo "$(LZ4_MSG)"
	@echo LINK $@
	$(CC) $(FLAGS) $^ $(LDLIBS) -o $@$(EXT)

ifeq ($(HAVE_HASH),1)
SRCBIN_HASH = $(shell cat $(BUILD_DIR)/zstd$(EXT) 2> $(VOID) | $(HASH) | cut -f 1 -d " ")
DSTBIN_HASH = $(shell cat zstd$(EXT) 2> $(VOID) | $(HASH) | cut -f 1 -d " ")
BIN_ISDIFFERENT = $(if $(filter $(SRCBIN_HASH),$(DSTBIN_HASH)),0,1)
else
BIN_ISDIFFERENT = 1
endif

zstd : $(BUILD_DIR)/zstd
	if [ $(BIN_ISDIFFERENT) -eq 1 ]; then \
		cp -f $<$(EXT) $@$(EXT); \
		echo zstd build completed; \
	else \
		echo zstd already built; \
	fi

endif  # BUILD_DIR


.PHONY: zstd-release
zstd-release: DEBUGFLAGS := -DBACKTRACE_ENABLE=0
zstd-release: DEBUGFLAGS_LD :=
zstd-release: zstd

zstd32 : CPPFLAGS += $(THREAD_CPP)
zstd32 : LDFLAGS  += $(THREAD_LD)
zstd32 : CPPFLAGS += -DZSTD_LEGACY_SUPPORT=$(ZSTD_LEGACY_SUPPORT)
ifneq (,$(filter Windows%,$(OS)))
zstd32 : $(RES32_FILE)
endif
zstd32 : $(ZSTDLIB_FULL_SRC) $(ZSTD_CLI_SRC)
	$(CC) -m32 $(FLAGS) $^ -o $@$(EXT)

## zstd-nolegacy: same scope as zstd, with just support of legacy formats removed
zstd-nolegacy : LDFLAGS += $(THREAD_LD) $(ZLIBLD) $(LZMALD) $(LZ4LD) $(DEBUGFLAGS_LD)
zstd-nolegacy : CPPFLAGS += -UZSTD_LEGACY_SUPPORT -DZSTD_LEGACY_SUPPORT=0
zstd-nolegacy : $(ZSTDLIB_CORE_SRC) $(ZDICT_SRC) $(ZSTD_CLI_OBJ)
	$(CC) $(FLAGS) $^ -o $@$(EXT) $(LDFLAGS)

.PHONY: zstd-nomt
zstd-nomt : THREAD_CPP :=
zstd-nomt : THREAD_LD  :=
zstd-nomt : THREAD_MSG := - multi-threading disabled
zstd-nomt : zstd

.PHONY: zstd-nogz
zstd-nogz : ZLIBCPP :=
zstd-nogz : ZLIBLD  :=
zstd-nogz : ZLIB_MSG := - gzip support is disabled
zstd-nogz : zstd

.PHONY: zstd-noxz
zstd-noxz : LZMACPP :=
zstd-noxz : LZMALD  :=
zstd-noxz : LZMA_MSG := - xz/lzma support is disabled
zstd-noxz : zstd

## zstd-dll: zstd executable linked to dynamic library libzstd (must have same version)
.PHONY: zstd-dll
zstd-dll : LDFLAGS+= -L$(LIBZSTD)
zstd-dll : LDLIBS += -lzstd
zstd-dll : ZSTDLIB_LOCAL_SRC = xxhash.c
zstd-dll : zstd


## zstd-pgo: zstd executable optimized with PGO.
.PHONY: zstd-pgo
zstd-pgo :
	$(MAKE) clean
	$(MAKE) zstd MOREFLAGS=-fprofile-generate
	./zstd -b19i1 $(PROFILE_WITH)
	./zstd -b16i1 $(PROFILE_WITH)
	./zstd -b9i2 $(PROFILE_WITH)
	./zstd -b $(PROFILE_WITH)
	./zstd -b7i2 $(PROFILE_WITH)
	./zstd -b5 $(PROFILE_WITH)
	$(RM) zstd *.o
	case $(CC) in *clang*) if ! [ -e default.profdata ]; then llvm-profdata merge -output=default.profdata default*.profraw; fi ;; esac
	$(MAKE) zstd MOREFLAGS=-fprofile-use

## zstd-small: minimal target, supporting only zstd compression and decompression. no bench. no legacy. no other format.
zstd-small: CFLAGS = -Os -s
zstd-frugal zstd-small: $(ZSTDLIB_CORE_SRC) zstdcli.c util.c timefn.c fileio.c
	$(CC) $(FLAGS) -DZSTD_NOBENCH -DZSTD_NODICT -DZSTD_NOTRACE -UZSTD_LEGACY_SUPPORT -DZSTD_LEGACY_SUPPORT=0 $^ -o $@$(EXT)

zstd-decompress: $(ZSTDLIB_COMMON_SRC) $(ZSTDLIB_DECOMPRESS_SRC) zstdcli.c util.c timefn.c fileio.c
	$(CC) $(FLAGS) -DZSTD_NOBENCH -DZSTD_NODICT -DZSTD_NOCOMPRESS -DZSTD_NOTRACE -UZSTD_LEGACY_SUPPORT -DZSTD_LEGACY_SUPPORT=0 $^ -o $@$(EXT)

zstd-compress: $(ZSTDLIB_COMMON_SRC) $(ZSTDLIB_COMPRESS_SRC) zstdcli.c util.c timefn.c fileio.c
	$(CC) $(FLAGS) -DZSTD_NOBENCH -DZSTD_NODICT -DZSTD_NODECOMPRESS -DZSTD_NOTRACE -UZSTD_LEGACY_SUPPORT -DZSTD_LEGACY_SUPPORT=0 $^ -o $@$(EXT)

## zstd-dictBuilder: executable supporting dictionary creation and compression (only)
zstd-dictBuilder: $(ZSTDLIB_COMMON_SRC) $(ZSTDLIB_COMPRESS_SRC) $(ZDICT_SRC) zstdcli.c util.c timefn.c fileio.c dibio.c
	$(CC) $(FLAGS) -DZSTD_NOBENCH -DZSTD_NODECOMPRESS -DZSTD_NOTRACE $^ -o $@$(EXT)

zstdmt: zstd
	ln -sf zstd zstdmt

.PHONY: generate_res
generate_res: $(RES64_FILE) $(RES32_FILE)

ifneq (,$(filter Windows%,$(OS)))
RC ?= windres
# http://stackoverflow.com/questions/708238/how-do-i-add-an-icon-to-a-mingw-gcc-compiled-executable
$(RES64_FILE): windres/zstd.rc
	$(RC) -o $@ -I ../lib -I windres -i $< -O coff -F pe-x86-64
$(RES32_FILE): windres/zstd.rc
	$(RC) -o $@ -I ../lib -I windres -i $< -O coff -F pe-i386
endif

.PHONY: clean
clean:
	$(RM) core *.o tmp* result* *.gcda dictionary *.zst \
        zstd$(EXT) zstd32$(EXT) zstd-dll$(EXT) \
        zstd-compress$(EXT) zstd-decompress$(EXT) \
        zstd-small$(EXT) zstd-frugal$(EXT) zstd-nolegacy$(EXT) zstd4$(EXT) \
        zstd-dictBuilder$(EXT) \
        *.gcda default*.profraw default.profdata have_zlib$(EXT)
	$(RM) -r obj/*
	@echo Cleaning completed

MD2ROFF = ronn
MD2ROFF_FLAGS = --roff --warnings --manual="User Commands" --organization="zstd $(ZSTD_VERSION)"

zstd.1: zstd.1.md ../lib/zstd.h
	cat $< | $(MD2ROFF) $(MD2ROFF_FLAGS) | sed -n '/^\.\\\".*/!p' > $@

zstdgrep.1: zstdgrep.1.md ../lib/zstd.h
	cat $< | $(MD2ROFF) $(MD2ROFF_FLAGS) | sed -n '/^\.\\\".*/!p' > $@

zstdless.1: zstdless.1.md ../lib/zstd.h
	cat $< | $(MD2ROFF) $(MD2ROFF_FLAGS) | sed -n '/^\.\\\".*/!p' > $@

.PHONY: man
man: zstd.1 zstdgrep.1 zstdless.1

.PHONY: clean-man
clean-man:
	$(RM) zstd.1
	$(RM) zstdgrep.1
	$(RM) zstdless.1

.PHONY: preview-man
preview-man: clean-man man
	man ./zstd.1
	man ./zstdgrep.1
	man ./zstdless.1


# Generate .h dependencies automatically

DEPFLAGS = -MT $@ -MMD -MP -MF

$(BUILD_DIR)/%.o : %.c $(BUILD_DIR)/%.d | $(BUILD_DIR)
	@echo CC $@
	$(COMPILE.c) $(DEPFLAGS) $(BUILD_DIR)/$*.d $(OUTPUT_OPTION) $<

$(BUILD_DIR)/%.o : %.S | $(BUILD_DIR)
	@echo AS $@
	$(COMPILE.S) $(OUTPUT_OPTION) $<

MKDIR ?= mkdir
$(BUILD_DIR): ; $(MKDIR) -p $@

DEPFILES := $(ZSTD_OBJ:.o=.d)
$(DEPFILES):

include $(wildcard $(DEPFILES))



#-----------------------------------------------------------------------------
# make install is validated only for Linux, macOS, BSD, Hurd and Solaris targets
#-----------------------------------------------------------------------------
ifneq (,$(filter $(UNAME),Linux Darwin GNU/kFreeBSD GNU OpenBSD FreeBSD NetBSD DragonFly SunOS Haiku AIX))

HAVE_COLORNEVER = $(shell echo a | egrep --color=never a > /dev/null 2> /dev/null && echo 1 || echo 0)
EGREP_OPTIONS ?=
ifeq ($HAVE_COLORNEVER, 1)
  EGREP_OPTIONS += --color=never
endif
EGREP = egrep $(EGREP_OPTIONS)
AWK = awk

# Print a two column output of targets and their description. To add a target description, put a
# comment in the Makefile with the format "## <TARGET>: <DESCRIPTION>".  For example:
#

=== debian/changelog ===
percona-server-mongodb (7.0.16-10) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 7.0.16

 -- root <root@2665b58b8051>  Tue, 04 Feb 2025 14:08:56 +0000

## percona-server-mongodb 7.0.18

=== debian/changelog ===
percona-server-mongodb (7.0.18-11) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 7.0.18

 -- root <root@a87f4ff97ff9>  Wed, 16 Apr 2025 20:35:21 +0000

=== debian/rules ===
--- 
+++ 
@@ -59,8 +59,8 @@
         export PATH="/usr/local/go/bin:$(PATH):$(GOPATH)"; \
         export GOBINPATH="/usr/local/go/bin"
 	cd $(PSMSRC)/../src/github.com/mongodb/mongo-tools; \
-        sed -i '13d' buildscript/build.go; \
-        sed -i '197,206d' buildscript/build.go; \
+        sed -i '14d' buildscript/build.go; \
+        sed -i '209,217d' buildscript/build.go; \
         sed -i "s:versionStr,:\"$(PSMDB_TOOLS_REVISION)\",:" buildscript/build.go; \
         sed -i "s:gitCommit):\"$(PSMDB_TOOLS_COMMIT_HASH)\"):" buildscript/build.go; \
         ./make build;

## percona-server-mongodb 7.0.22

=== debian/changelog ===
percona-server-mongodb (7.0.22-12) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 7.0.22

 -- root <root@7c089b52fd68>  Wed, 23 Jul 2025 08:09:00 +0000

=== debian/control ===
Source: percona-server-mongodb
Maintainer: Percona Development Team <opensource-dev@percona.com>
Section: database
Priority: extra
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9), debconf, libbz2-dev, libsnappy-dev, pkg-config, zlib1g-dev, libzlcore-dev,  libsasl2-dev, g++, cmake, libldap2-dev, libkrb5-dev, liblzma-dev


Package: percona-server-mongodb
Provides: mongodb-org, mongodb-enterprise
Architecture: any
Breaks: percona-server-mongodb (< 4.4.0), percona-server-mongodb-32, percona-server-mongodb-34, percona-server-mongodb-36, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}, percona-server-mongodb-mongos (= ${source:Version}), percona-mongodb-mongosh, percona-server-mongodb-server (= ${source:Version}), percona-server-mongodb-tools (= ${source:Version}), libsasl2-modules-gssapi-mit
Conflicts: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Replaces: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Description: This metapackage will install the mongo shell, import/export tools, other client utilities, server software, default configuration, and init.d scripts.
 This package contains high-performance MongoDB replacement from Percona - Percona Server for MongoDB.
 Percona Server for MongoDB is built for scalability, performance and high availability, scaling from single server deployments to large, complex multi-site architectures.
 By leveraging in-memory computing, Percona Server for MongoDB provides high performance for both reads and writes.
 Percona Server for MongoDB's native replication and automated failover enable enterprise-grade reliability and operational flexibility.
 .
 Percona Server for MongoDB is an open-source database used by companies of all sizes, across all industries and for a wide variety of applications.
 It is an agile database that allows schemas to change quickly as applications evolve, while still providing the functionality developers expect from traditional databases,
 such as secondary indexes, a full query language and strict consistency.
 .
 Percona Server for MongoDB has a rich client ecosystem including hadoop integration, officially supported drivers for 10 programming languages and environments, as well as 40 drivers supported by the user community.
 .
 Percona Server for MongoDB features:
 * JSON Data Model with Dynamic Schemas
 * Auto-Sharding for Horizontal Scalability
 * Built-In Replication for High Availability
 * Rich Secondary Indexes, including geospatial
 * TTL indexes
 * Text Search
 * Aggregation Framework & Native MapReduce

Package: percona-server-mongodb-mongos
Provides: mongodb-org-mongos, mongodb-enterprise-mongos
Architecture: any
Breaks: percona-server-mongodb-mongos (< 4.4.0), percona-server-mongodb-32-mongos, percona-server-mongodb-34-mongos, percona-server-mongodb-36-mongos, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}, percona-telemetry-agent
Conflicts: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Replaces: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Description: This package contains mongos - the Percona Server for MongoDB sharded cluster query router
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-server
Provides: mongodb-org-server, mongodb-enterprise-server
Architecture: any
Breaks: percona-server-mongodb-server (< 4.4.0), percona-server-mongodb-32-server, percona-server-mongodb-34-server, percona-server-mongodb-36-server, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}, percona-mongodb-mongosh, curl, percona-telemetry-agent
Conflicts: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Replaces: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Description: This package contains the Percona Server for MongoDB server software, default configuration files and init.d scripts
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-shell
Provides: mongodb-org-shell, mongodb-enterprise-shell
Architecture: any
Breaks: percona-server-mongodb-shell (< 4.4.0), percona-server-mongodb-32-shell, percona-server-mongodb-34-shell, percona-server-mongodb-36-shell, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongod-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: This package contains the Percona Server for MongoDB shell
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona


Package: percona-server-mongodb-tools
Provides: mongodb-org-tools, mongodb-enterprise-tools
Architecture: any
Breaks: percona-server-mongodb-tools (< 4.4.0), percona-server-mongodb-32-tools, percona-server-mongodb-34-tools, percona-server-mongodb-36-tools, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mongo tools for high-performance MongoDB fork from Percona
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-dbg
Architecture: any
Breaks: percona-server-mongodb-dbg(< 4.4.0), percona-server-mongodb-32-dbg, percona-server-mongodb-34-dbg, percona-server-mongodb-36-dbg
Section: debug
Depends: percona-server-mongodb (= ${binary:Version}), ${misc:Depends}
Conflicts: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Replaces: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Description: Debugging package for Percona Server for MongoDB
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,7 @@
         export GOBINPATH="/usr/local/go/bin"
 	cd $(PSMSRC)/../src/github.com/mongodb/mongo-tools; \
         sed -i '14d' buildscript/build.go; \
-        sed -i '209,217d' buildscript/build.go; \
+        sed -i '199,207d' buildscript/build.go; \
         sed -i "s:versionStr,:\"$(PSMDB_TOOLS_REVISION)\",:" buildscript/build.go; \
         sed -i "s:gitCommit):\"$(PSMDB_TOOLS_COMMIT_HASH)\"):" buildscript/build.go; \
         ./make build;

## percona-server-mongodb 7.0.24

=== debian/changelog ===
percona-server-mongodb (7.0.24-13) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 7.0.24

 -- root <root@42ba8b05ae3a>  Fri, 05 Sep 2025 17:05:51 +0000

## percona-server-mongodb 8.0.4

=== debian/changelog ===
percona-server-mongodb (8.0.4-1) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 8.0.4

 -- root <root@27eabd9bc0c9>  Mon, 16 Dec 2024 13:42:08 +0000

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 export PATH := /usr/local/go/bin:$(PATH)
 export FIPSMODE=0
 export OPT_LINKFLAGS="${LINKFLAGS} -Wl,--build-id=sha1 -B/opt/mongodbtoolchain/v4/bin"
+$(info GLIBC_TUNABLES is $(GLIBC_TUNABLES))
 CC = /opt/mongodbtoolchain/v4/bin/gcc
 CXX = /opt/mongodbtoolchain/v4/bin/g++
 #
@@ -59,8 +60,8 @@
         export PATH="/usr/local/go/bin:$(PATH):$(GOPATH)"; \
         export GOBINPATH="/usr/local/go/bin"
 	cd $(PSMSRC)/../src/github.com/mongodb/mongo-tools; \
-        sed -i '14d' buildscript/build.go; \
-        sed -i '199,207d' buildscript/build.go; \
+        sed -i '13d' buildscript/build.go; \
+        sed -i '197,206d' buildscript/build.go; \
         sed -i "s:versionStr,:\"$(PSMDB_TOOLS_REVISION)\",:" buildscript/build.go; \
         sed -i "s:gitCommit):\"$(PSMDB_TOOLS_COMMIT_HASH)\"):" buildscript/build.go; \
         ./make build;

## percona-server-mongodb 8.0.8

=== debian/changelog ===
percona-server-mongodb (8.0.8-3) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 8.0.8

 -- root <root@57fed3dbe7c6>  Fri, 25 Apr 2025 12:44:45 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: database
 Priority: extra
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 9), debconf, libbz2-dev, libsnappy-dev, pkg-config, zlib1g-dev, libzlcore-dev,  libsasl2-dev, g++, cmake, libldap2-dev, libkrb5-dev, liblzma-dev
+Build-Depends: debhelper (>= 9), debconf, libbz2-dev, libsnappy-dev, pkg-config, zlib1g-dev, libzlcore-dev, dh-systemd, libsasl2-dev, g++, cmake, libldap2-dev, libkrb5-dev, liblzma-dev
 
 
 Package: percona-server-mongodb
@@ -48,7 +48,7 @@
 Provides: mongodb-org-server, mongodb-enterprise-server
 Architecture: any
 Breaks: percona-server-mongodb-server (< 4.4.0), percona-server-mongodb-32-server, percona-server-mongodb-34-server, percona-server-mongodb-36-server, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
-Depends: ${shlibs:Depends}, ${misc:Depends}, percona-mongodb-mongosh, curl, percona-telemetry-agent
+Depends: ${shlibs:Depends}, ${misc:Depends}, percona-mongodb-mongosh, curl,  percona-telemetry-agent
 Conflicts: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
 Replaces: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
 Description: This package contains the Percona Server for MongoDB server software, default configuration files and init.d scripts
@@ -83,4 +83,3 @@
 
 
 
-

=== debian/rules ===
--- 
+++ 
@@ -60,8 +60,8 @@
         export PATH="/usr/local/go/bin:$(PATH):$(GOPATH)"; \
         export GOBINPATH="/usr/local/go/bin"
 	cd $(PSMSRC)/../src/github.com/mongodb/mongo-tools; \
-        sed -i '13d' buildscript/build.go; \
-        sed -i '197,206d' buildscript/build.go; \
+        sed -i '14d' buildscript/build.go; \
+        sed -i '209,217d' buildscript/build.go; \
         sed -i "s:versionStr,:\"$(PSMDB_TOOLS_REVISION)\",:" buildscript/build.go; \
         sed -i "s:gitCommit):\"$(PSMDB_TOOLS_COMMIT_HASH)\"):" buildscript/build.go; \
         ./make build;
